Subject: Re: [PATCH net-next 0/3] net/mlx5e: RX datapath enhancements

From: Simon Horman <[email-masked]>
Date: Thu, 15 Jan 2026 13:57:13 +0000

On Mon, Jan 12, 2026 at 03:22:06PM +0200, Tariq Toukan wrote:
> Hi,
> 
> This series by Dragos introduces multiple RX datapath enhancements to
> the mlx5e driver.
> 
> First patch adds SW handling for oversized packets in non-linear SKB
> mode.
> 
> Second patch adds a reclaim mechanism to mitigate memory allocation
> failures with memory providers.
> 
> Third patch moves SHAMPO to use static memory for the headers, rather
> than replenishing the memory from a page_pool.
> This introduces an interesting performance tradeoff where copying the
> header pays off.

Thanks,

This series looks good to me.
I particularly like the code complexity reduction in patch 3/3.

For the series,

Reviewed-by: Simon Horman <[email-masked]>